=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.42.0~),
                kdelibs5-dev (>= 4.9.80),
-               kwin-dev (>= 4:5.12.4~),
+               kwin-dev (>= 4:5.12.8~),
                libkdecorations2-dev (>= 4:5.12.4~),
                libkf5auth-dev (>= 5.42.0~),
                libkf5codecs-dev (>= 5.42.0~),
@@ -29,7 +29,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
+               qtdeclarative5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
