=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.42.0~),
                kdelibs5-dev (>= 4.9.80),
-               kwin-dev (>= 4:5.12.8~),
-               libkdecorations2-dev (>= 4:5.12.4~),
+               kwin-dev (>= 4:5.13.5~),
+               libkdecorations2-dev (>= 4:5.13.5~),
                libkf5auth-dev (>= 5.42.0~),
                libkf5codecs-dev (>= 5.42.0~),
                libkf5completion-dev (>= 5.42.0~),
@@ -30,19 +30,19 @@
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
 
 Package: kde-style-oxygen
-Architecture: all
 Section: oldlibs
 Priority: optional
+Architecture: all
 Depends: kde-style-oxygen-qt4, ${misc:Depends}
-Breaks: kde-window-manager (<< 4:5.8)
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
+Breaks: kde-window-manager (<< 4:5.8)
 
 Package: kde-style-oxygen-qt4
 Architecture: any
@@ -59,9 +59,9 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
-        plasma-theme-oxygen (<< 4:5.3.2+git20150326)
+        plasma-theme-oxygen (<< 4:5.2.2+git20150326),
 Replaces: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
-          plasma-theme-oxygen (<< 4:5.3.2+git20150326)
+          plasma-theme-oxygen (<< 4:5.2.2+git20150326),
 Description: Qt decoration for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
@@ -102,7 +102,6 @@
 Package: oxygen-sounds
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: plasma-desktop (<< 4:5.8)
 Description: Sounds for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
@@ -114,8 +113,9 @@
          kde-style-oxygen-qt5 (= ${binary:Version}),
          kwin-decoration-oxygen (= ${binary:Version}),
          oxygen-sounds (= ${source:Version}),
+         qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: oxygen-look-and-feel
 Replaces: oxygen-look-and-feel
 Description: Look-and-feel for the Oxygen desktop theme
