=== debian/control ===
Source: oxygen
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.3.0~),
               kwin-dev (>= 4:5.3.2),
               libkdecorations2-dev (>= 4:5.2.0),
               libkf5auth-dev (>= 5.2.0),
               libkf5codecs-dev (>= 5.2.0),
               libkf5completion-dev (>= 5.2.0),
               libkf5config-dev (>= 5.2.0),
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5guiaddons-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5kcmutils-dev,
               libkf5service-dev (>= 5.2.0),
               libkf5style-dev (>= 5.2.0),
               libkf5wayland-dev,
               libkf5widgetsaddons-dev (>= 5.2.0),
               libkf5windowsystem-dev (>= 5.2.0),
               libqt5x11extras5-dev (>= 5.4),
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen.git

Package: kde-style-oxygen-qt5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
        plasma-theme-oxygen (<< 4:5.2.2+git20150326),
Replaces: kwin-decoration-oxygen (<< 4:5.2.2+git20150326),
          plasma-theme-oxygen (<< 4:5.2.2+git20150326),
Description: Qt decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 5 widget theme.

Package: kwin-decoration-oxygen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-style-oxygen-qt5 (<< 4:5.2.2+git20150326)
Replaces: kde-style-oxygen-qt5 (<< 4:5.2.2+git20150326)
Description: KWin decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the KWin decoration and settings modules.

Package: liboxygenstyle5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: style library for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-style-oxygen-qt5 (<< 4:5.3.2-2~), ${kde-l10n:all}
Replaces: kde-style-oxygen-qt5 (<< 4:5.3.2-2~), ${kde-l10n:all}
Description: style library configuration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: oxygen-sounds
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Sounds for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the sounds.
Breaks: plasma-desktop (<< 4:5.14)

Package: plasma-theme-oxygen
Architecture: any
Depends: kde-style-oxygen-qt5 (= ${binary:Version}),
         kwin-decoration-oxygen (= ${binary:Version}),
         oxygen-sounds (= ${source:Version}),
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: oxygen-look-and-feel
Replaces: oxygen-look-and-feel
Description: Look-and-feel for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.
