=== debian/control ===
--- 
+++ 
@@ -5,24 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               kdelibs5-dev (>= 4.9.80),
-               kwin-dev (>= 4:5.15.4~),
-               libkdecorations2-dev (>= 4:5.15.4~),
-               libkf5auth-dev (>= 5.54.0~),
-               libkf5codecs-dev (>= 5.54.0~),
-               libkf5completion-dev (>= 5.54.0~),
-               libkf5config-dev (>= 5.54.0~),
-               libkf5configwidgets-dev (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5guiaddons-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5kcmutils-dev (>= 5.54.0~),
-               libkf5service-dev (>= 5.54.0~),
-               libkf5style-dev (>= 5.54.0~),
-               libkf5wayland-dev (>= 4:5.54.0~),
-               libkf5widgetsaddons-dev (>= 5.54.0~),
-               libkf5windowsystem-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               kwin-dev (>= 4:5.16.5~),
+               libkdecorations2-dev (>= 4:5.16.5~),
+               libkf5auth-dev (>= 5.58.0~),
+               libkf5codecs-dev (>= 5.58.0~),
+               libkf5completion-dev (>= 5.58.0~),
+               libkf5config-dev (>= 5.58.0~),
+               libkf5configwidgets-dev (>= 5.58.0~),
+               libkf5coreaddons-dev (>= 5.58.0~),
+               libkf5guiaddons-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5kcmutils-dev (>= 5.58.0~),
+               libkf5service-dev (>= 5.58.0~),
+               libkf5style-dev (>= 5.58.0~),
+               libkf5wayland-dev (>= 4:5.58.0~),
+               libkf5widgetsaddons-dev (>= 5.58.0~),
+               libkf5windowsystem-dev (>= 5.58.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb1-dev,
@@ -39,21 +38,8 @@
 Section: oldlibs
 Priority: optional
 Architecture: all
-Depends: kde-style-oxygen-qt4, ${misc:Depends}
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
-Breaks: kde-window-manager (<< 4:5.8)
-
-Package: kde-style-oxygen-qt4
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kde-style-oxygen (<< 4:5)
-Replaces: kde-style-oxygen (<< 4:5)
-Description: Qt 4 decoration for the Oxygen desktop theme
- The Oxygen desktop theme is used by Plasma and other KDE Software.
- .
- This is the version shipped with Plasma 5. This package contains the
- Qt 4 widget theme.
 
 Package: kde-style-oxygen-qt5
 Architecture: any
@@ -109,8 +95,7 @@
 
 Package: plasma-theme-oxygen
 Architecture: any
-Depends: kde-style-oxygen-qt4 (= ${binary:Version}),
-         kde-style-oxygen-qt5 (= ${binary:Version}),
+Depends: kde-style-oxygen-qt5 (= ${binary:Version}),
          kwin-decoration-oxygen (= ${binary:Version}),
          oxygen-sounds (= ${source:Version}),
          qml-module-qtquick2,
